Bug 47425 - FORMATTING: Impress Bug importing pptx files with master layouts that cannot be edited or deleted without using microsoft office.
Summary: FORMATTING: Impress Bug importing pptx files with master layouts that cannot ...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-16 20:55 UTC by ljelly
Modified: 2015-02-11 19:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
click to edit master text styles shows up on the slides. it shouldn't be there.. plus minor formatting and margin errors do not work with imported text and pictures with the style. (729.38 KB, image/png)
2012-03-16 20:55 UTC, ljelly
Details
PPTX FILE problems. (1010.88 KB, image/png)
2012-08-10 12:10 UTC, ljelly
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ljelly 2012-03-16 20:55:42 UTC
Created attachment 58582 [details]
click to edit master text styles shows up on the slides. it shouldn't be there.. plus minor formatting and margin errors do not work with imported text and pictures with the style.

Problem description: 
importing pptx files with master layouts that cannot be edited or deleted without using microsoft office.
Steps to reproduce:
1. import pptx file created on microsoft office 2010 or for mac.  slides appear with click to edit masterslide appears. 
2. current work around is to change the layout of the slides to blank in office for mac.. that is the only work around..
also you cannot delete master slides that were made on powerpoint for mac on libreoffice, you can only delete the ones you created on libreoffice.
i have explained this problem in more detail as ljelly:
here:
http://ask.libreoffice.org/question/439/impress-bug-importing-pptx-files-with-master 
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/734726 


Expected behavior:
no text showing on slides from master slide styles. 

Platform (if different from the browser):
Ubuntu and Mac Osx Snow Leopard.

It may also be a problem that the powerpoint file was a ppt, and it has been converted and saved as a pptx, from microsoft office 2010. 

secondly, there are also some formatting with the pptx and docx file format, that have irregularities with texts in textboxes and margins. 
              
Browser: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/536.3 (KHTML, like Gecko) Chrome/19.0.1068.1 Safari/536.3
Comment 1 sasha.libreoffice 2012-06-08 04:46:38 UTC
Thanks for bugreport
In master this bug should be fixed
Comment 2 bfoman (inactive) 2012-08-10 11:58:47 UTC
Checked with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Could not reproduce.
Comment 3 ljelly 2012-08-10 12:10:43 UTC
Created attachment 65386 [details]
PPTX FILE problems.

PPTX FILE

Herculaneum and Pompeii does not happen in office 2010 or office for mac 2011.
Comment 4 ljelly 2012-08-10 12:11:59 UTC
UBUNTU LINUX 12.10 ALPHA 3 64-BIT

Build Info
tinderbox: administrator: fridrich.strba@bluewin.ch
tinderbox: buildname: Linux-x86_64_11-Release-Configuration
tinderbox: tree: libreoffice-3-6
tinderbox: pull time 2012-08-05 10:41:53
tinderbox: git sha1s
core:38d7b11915c9c4e5fcebcb7eb3ae1b2846b26267
binfilter:0d2d24f7520308c64219eef7db42fb6471364878
dictionaries:5a49fd1a5bccacc31273875bcb6b9cfe319a6b94
help:8f2291e9222cf66b0b0873b7a500fb97bc19404b
translations:3f9cd8fa598c9778ceff31b9a2d0f44def370895
Comment 5 sasha.libreoffice 2012-08-13 06:08:47 UTC
Thanks for additional testing
Please, attach small pptx file itself for testing
Comment 6 ljelly 2012-08-13 07:54:59 UTC
Powerpoints aren't small Test File is 17mb.. a small file where I could find where it occurred. doesn't happen in smaller powerpoints. between 4-10 mb. 

http://ubuntuone.com/61XkWtI3QFLlwz20dxq2kA
Comment 7 ljelly 2012-08-13 07:57:11 UTC
Converting Powerpoints worked in Microsoft Office 2013 BETA, on Windows 8 Consumer Preview.. They have good odp and compatibility settings with libreoffice.

pptx files that were having problems I saved in MO 2013 as a pptx.. opened them LO and they were having the same issue but not as many problems as the original files. 

LJ.
Comment 8 ljelly 2012-08-13 07:58:19 UTC
files work perfectly now after being saved as odp in office 2013 beta, they open correctly in LO.
Comment 9 sasha.libreoffice 2012-08-13 08:04:07 UTC
Thanks for test file. 
Reproduced in 3.3.4, 3.5.5, 3.6.0rc on Fedora 64 bit
Changing version to 3.3.4 as most early reproduced
Comment 10 QA Administrators 2015-01-05 17:51:25 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.3.5 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
Comment 11 Buovjaga 2015-01-22 13:55:46 UTC
Ubuntu one is dead. We need that file to retest (or original reporter can retest and report here). Set to NEEDINFO.
Comment 12 QA Administrators 2015-02-11 19:57:20 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11